Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.geom
Class PathLength.PathSegment

    java.lang.Object
      org.apache.batik.ext.awt.geom.PathLength.PathSegment

Enclosing class:
  PathLength

protected class PathLength.PathSegment
extends java.lang.Object

Constructor Summary
`PathLength.PathSegment(int a, float b, float c, float d)`

Method Summary
`float` | `getLength()` Get the value of Length.
`int` | `getSegType()` Get the value of segType.
`float` | `getX()` Get the value of X.
`float` | `getY()` Get the value of Y.
`void` | `setLength(float v)` Set the value of Length.
`void` | `setSegType(int v)` Set the value of segType.
`void` | `setX(float v)` Set the value of X.
`void` | `setY(float v)` Set the value of Y.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PathLength.PathSegment

    public PathLength.PathSegment(int a,
                                  float b,
                                  float c,
                                  float d)

Method Detail

### getSegType

    public int getSegType()

  Get the value of segType.

  Returns:
    Value of segType.

### setSegType

    public void setSegType(int v)

  Set the value of segType.

  Parameters:
    `v` - Value to assign to segType.

### getX

    public float getX()

  Get the value of X.

  Returns:
    Value of X.

### setX

    public void setX(float v)

  Set the value of X.

  Parameters:
    `v` - Value to assign to X.

### getY

    public float getY()

  Get the value of Y.

  Returns:
    Value of Y.

### setY

    public void setY(float v)

  Set the value of Y.

  Parameters:
    `v` - Value to assign to Y.

### getLength

    public float getLength()

  Get the value of Length.

  Returns:
    Value of Length.

### setLength

    public void setLength(float v)

  Set the value of Length.

  Parameters:
    `v` - Value to assign to Length.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.